Subject: Re: OPB vs. PLB DDR Memory Controller

From: Andrei Konovalov <[email-masked]>
Date: Thu, 21 Jun 2007 17:23:53 +0400

Hello Thomas,

Thomas Glanzmann wrote:
> Hello,
> I used secretlabs kernel tree and build my hardware once with the obp
> uart and once with the uart lite and compiled in the coresponding
> drivers into the linux kernel.
> 
>         loaded at:     00400000 004951A0
>         board data at: 00000000 0000007C
>         relocated to:  0040402C 004040A8
>         zimage at:     00404EE5 00492F1A
>         avail ram:     00496000 7C9E2378
> 
>         Linux/PPC load: root=/dev/nfs rw ip=on

This cmd line doesn't tell the kernel where the console is.
You could try
   "console=ttyS0,9600 root=/dev/nfs rw ip=on" (if the UART is 16x50)
or
   "console=ttyUL0 root=/dev/nfs rw ip=on" (if the UART is UART Lite)

Thanks,
Andrei

>         Uncompressing Linux...done.
>         Now booting the kernel
> 
> As you can see the embedded boot loader works, but the kernel does not
> produce any output. I wonder if I have to configure Linux that it has a
> OPB Memory Controller instead of a PLB Memory Controller. I used the
> ml403 Option in my kernel config.
> 
>         Thomas
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded